@use "@/theme/base.scss";

.list {
  margin-bottom: 1rem;
}

.info {
  padding: 0;
  margin: 0;
  display: grid;
  grid: "checkin" "start" / 1fr;
  gap: var(--gap);
  dl,
  dd,
  dt {
    margin: 0;
    padding: 0;
  }
  @include base.mq($until: desktop) {
    grid: "checkin start" / 1fr 1fr;
  }
}

.item {
  @include base.elevated-box;
  position: relative;
  padding: var(--gap) var(--spacing);
  background: var(--box-dark-background-color);
  z-index: 0;
  &:not(:first-child) {
    margin-top: var(--spacing);
  }

  @include base.mq($from: desktop) {
    align-items: center;
    display: grid;
    grid: "l r" / auto max-content;
    gap: 1rem;
    position: relative;
    padding-bottom: 0.5rem;
    &::before {
      width: 100%;
      height: 1px;
      bottom: 0.33rem;
      left: 0;
      position: absolute;
      content: "";
      background: var(--muted-border-color);
    }
    .title {
      border: 0;
      margin: 0;
    }
  }
}
